Draft Array/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(153 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Draft_Array|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Array}}


{{Docnav/it
==Description==
|
The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.
|
|[[Draft_Workbench/it|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}


{{VeryImportantMessage|QUESTO COMANDO È OBSOLETO<br>
[[Image:Draft_Array_example.jpg|400px]]
Non è disponibile nella {{VersionPlus/it|0.21}}. Utilizzare piuttosto [[Draft_OrthoArray/it|Serie ortogonale]], [[Draft_PolarArray/it|Serie polare]] o [[Draft_CircularArray/it|Serie circolare]].}}


{{GuiCommand/it
==How to use==
|Name=Draft Array
# Select an object you wish to make an array with
|Name/it=Serie
# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
|Workbenches=[[Draft_Workbench/it|Draft]], [[Arch_Workbench/it|Arch]]
|SeeAlso=[[Draft_OrthoArray/it|Serie ortogonale]], [[Draft_PolarArray/it|Serie polare]], [[Draft_CircularArray/it|Serie circolare]]
}}


<span id="Description"></span>
==Options==
==Descrizione==
* The array starts as orthogonal by default, you can then change its mode in the properties.


Il comando [[Image:Draft_Array.svg|24px]] '''Draft Array''' crea una serie ortogonale (3 assi) da un oggetto selezionato. La serie creata può essere trasformata in un [[Draft_PolarArray/it|array polare]] o in un [[Draft_CircularArray/it|array circolare]] modificando la sua proprietà {{PropertyData|Array Type}}.
==Properties==
* {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar


Il comando può essere utilizzato su oggetti 2D creati con [[Draft_Workbench/it|Draft]] o [[Sketcher_Workbench/it|Sketcher]], ma anche su molti oggetti 3D come quelli creati con [[Part_Workbench/it|Part]], [[PartDesign_Workbench/it|PartDesign]] o [[Arch_Workbench/it|Arch]].
For orthogonal arrays:
* {{PropertyData|Interval X}}: The interval between each copy on the first axis
* {{PropertyData|Interval Y}}: The interval between each copy on the second axis
* {{PropertyData|Interval Z}}: The interval between each copy on the third axis
* {{PropertyData|Number X}}: The number of copies on the first axis
* {{PropertyData|Number Y}}: The number of copies on the second axis
* {{PropertyData|Number Z}}: The number of copies on the third axis


Questo comando è ormai obsoleto. Utilizzare invece il comando [[Draft_OrthoArray/it|Serie ortogonale]], [[Draft_PolarArray/it|Serie polare]] o [[Draft_CircularArray/it|Serie circolare]].
For polar arrays:
* {{PropertyData|Axis}}: The normal direction of the array circle
* {{PropertyData|Center}}: The center point of the array
* {{PropertyData|Angle}}: The angle to cover with copies
* {{PropertyData|Number Polar}}: The number of copies


<span id="Usage"></span>
==Scripting==
==Utilizzo==
The Array tool can by used in [[macros]] and from the python console by using one of the following functions.


# Per utilizzare questo comando in FreeCAD versione 0.19 e successive è necessario aggiungere un pulsante ad una barra degli strumenti personalizzata. Vedere [[Interface_Customization/it|Personalizzazione dell'interfaccia]].
For rectangular array:
# Facoltativamente seleziona un oggetto.
<syntaxhighlight>
# Premere il pulsante {{Button|[[Image:Draft_Array.svg|16px]] [[Draft_Array/it|Serie]]}}.
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
# Se non si è ancora selezionato un oggetto: selezionare un oggetto.
</syntaxhighlight>
# La serie viene creata.
For polar array:
# Eventualmente modificarne le [[Draft_OrthoArray/it#Proprietà|proprietà]].
<syntaxhighlight>
array (objectslist,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)


<span id="Properties"></span>
Or
== Proprietà ==


Vedere [[Draft_OrthoArray/it#Proprietà|Serie ortogonale]].
For rectangular array:
<syntaxhighlight>
makeArray (object,xvector,yvector,xnum,ynum)
</syntaxhighlight>
For polar array:
<syntaxhighlight>
makeArray (object,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.


<span id="Scripting"></span>
Example:
==Script==
<syntaxhighlight>
import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)


Vedere [[Draft_OrthoArray/it#Script|Serie Ortogonale]].
</syntaxhighlight>

{{clear}}

<languages/>
{{Docnav/it
|
|
|[[Draft_Workbench/it|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 07:06, 24 December 2023

QUESTO COMANDO È OBSOLETO
Non è disponibile nella versione 0.21 e superiori. Utilizzare piuttosto Serie ortogonale, Serie polare o Serie circolare.

Serie

Posizione nel menu
Nessuno
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Serie ortogonale, Serie polare, Serie circolare

Descrizione

Il comando Draft Array crea una serie ortogonale (3 assi) da un oggetto selezionato. La serie creata può essere trasformata in un array polare o in un array circolare modificando la sua proprietà DatiArray Type.

Il comando può essere utilizzato su oggetti 2D creati con Draft o Sketcher, ma anche su molti oggetti 3D come quelli creati con Part, PartDesign o Arch.

Questo comando è ormai obsoleto. Utilizzare invece il comando Serie ortogonale, Serie polare o Serie circolare.

Utilizzo

  1. Per utilizzare questo comando in FreeCAD versione 0.19 e successive è necessario aggiungere un pulsante ad una barra degli strumenti personalizzata. Vedere Personalizzazione dell'interfaccia.
  2. Facoltativamente seleziona un oggetto.
  3. Premere il pulsante Serie.
  4. Se non si è ancora selezionato un oggetto: selezionare un oggetto.
  5. La serie viene creata.
  6. Eventualmente modificarne le proprietà.

Proprietà

Vedere Serie ortogonale.

Script

Vedere Serie Ortogonale.